*{
    box-sizing: border-box;
}
html, body{
    margin: 0;
    padding: 0;
}
:root{
    --color-1: #1F2D3A;
    --color-2: #2CB1B5;
    --color-3: #65AC92;
    --color-4: #6B7C93;
    --color-5: #F5F7FA;

    --color-6: #C6CED9;
}
.wrp{
    display: block;
    width: 98%;
    margin: 0 auto;
}
.flex{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 0.5em;
}
.col_2{
    width: 49%;
    display: inline-block;
    vertical-align: top;
}

.col_10 {
    width: 10%;
}

.col_20 {
    width: 20%;
}

.col_30 {
    width: 30%;
}

.col_40 {
    width: 40%;
}

.col_50 {
    width: 50%;
}

.col_60 {
    width: 60%;
}

.col_70 {
    width: 70%;
}

.col_80 {
    width: 80%;
}

.col_90 {
    width: 90%;
}

/*/* Animaciones */
.sbmn_content .tt {
    margin: 0 0 0 0;
    padding: 15px;
    font-size: 25px;
    color: var(--color-1);
    border-bottom: 1px solid var(--color-6);
}
.hz_sbmn_content {
    display: block;
    width: 100%;
}
.hz_sbmn_content nav {
    width: 100%;
    display: block;
}
.hz_sbmn_content nav ul {
    list-style: none;
    padding: 0;
    margin: 0;
    border-bottom: 1px solid var(--color-6);
}
.hz_sbmn_content nav ul li {
    display: inline-block;
    vertical-align: top;
    width: max-content;
}
.hz_sbmn_content nav ul li a {
    cursor: pointer;
    display: block;
    padding: 12px 20px;
    color: inherit;
    text-decoration: none;
    transition: background-color 0.3s;
    border-bottom: 1px solid var(--color-6);
    margin-bottom: -1px;
}
.hz_sbmn_content nav ul li a i {
    margin-right: 5px;
    color: var(--color-2);
}
.hz_sbmn_content nav ul li a:hover, .hz_sbmn_content nav ul li a.active {
    border-bottom: 1px solid var(--color-2);
}
/* Fin Animaciones */

/*Inputs*/
._gl_inp {
    width: 100%;
    margin-bottom: 3px;
    position: relative;
}
._gl_inp label {
    display: block;
    margin: 0 10px -7px auto;
    font-size: 9px;
    background-color: #fff;
    z-index: 1;
    position: relative;
    width: max-content;
    padding: 0 5px;
    color: var(--color-1);
    border-radius: 2px;
}
._gl_inp input {
    width: 100%;
    padding: 8px;
    font-size: 14px;
    border: 2px solid var(--color-2);
    border-radius: 5px;
    outline: none;
    background-color: #fff;
}
._gl_inp.required.error input, ._gl_inp.required.error .select2-container--default .select2-selection--single{
    border-left: 2px solid #e74c3c;
    animation: shakeX 0.1s;
}
._gl_inp .toggle_span_input {
    position: absolute;
    right: -7px;
    top: 55%;
    transform: translateY(-50%);
    cursor: pointer;
    color: var(--color-2);
    background: #fff;
    border-radius: 20px;
    font-size: 13px;
    z-index: 1;
}
._gl_inp .toggle_span_input:hover {
    color: var(--color-3);
}
._gl_inp .select2-container{
    width: 100% !important;
    font-size: 14px;
}
._gl_inp .select2-container--default .select2-selection--single{
    height: auto;
    border: 2px solid var(--color-2);
    border-radius: 5px;
}
._gl_inp .select2-container--default .select2-selection--single .select2-selection__rendered {
    color:#757575;
    line-height: 33px;
}
._gl_inp .select2-results{
    font-size: 14px;
}
._gl_inp .select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 5px;
    right: 10px;
}
._gl_inp .select2-container--default .select2-selection--single .select2-selection__arrow b {
    border-color: var(--color-3) transparent transparent transparent;
}



._btn{
    width: 100%;
    background-color: var(--color-2);
    color: #fff;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    font-size: 16px;
    margin-bottom: 3px;
    border-bottom: 0.2em solid var(--color-3);
    text-align: center;
}
._btn:hover {
    background-color: var(--color-3);
    border-bottom: 0.2em solid var(--color-2);
}
._btn:active {
    box-shadow: inset 0px 0.1em 0.6em var(--color-2);
    transform: translateY(0.2em);
    border-bottom: 0.2em solid var(--color-3);
}
._btn._red{
    background-color: #e74c3c;
    border-bottom: 0.2em solid #c0392b;
}
._btn._red:hover {
    background-color: #c0392b;
    border-bottom: 0.2em solid #e74c3c;
}
._btn._red:active {
    box-shadow: inset 0px 0.1em 0.6em #e74c3c;
    border-bottom: 0.2em solid #c0392b;
}
a._btn{
    text-decoration: none;
}
/* Fin Inputs */

/*Dvis*/
.gl_dv_mod .tt {
    margin: 0 0 0 0;
    padding: 15px;
    font-size: 25px;
    color: var(--color-1);
    border-bottom: 1px solid var(--color-6);
}

.gl_dv_mod .tt a {
    color: var(--color-2);
    font-size: 12px;
    cursor: pointer;
    vertical-align: middle;
    padding-right: 20px;
    margin-right: 20px;
    border-right: 1px solid var(--color-6);
    position: relative;
}

.gl_dv_mod .tt a:hover {
    color: var(--color-3);
}

.gl_dv_mod .tt a:hover i {
    animation: headShake 0.5s ease;
}

.gl_dv_mod .gl_mod_fijo .gl_mod_fl_btns {
    padding: 10px;
}

.gl_dv_mod .gl_mod_fijo .gl_mod_fl_btns a {
    color: var(--color-1);
    font-size: 14px;
    cursor: pointer;
}

.gl_dv_mod .gl_mod_fijo .gl_mod_fl_btns a:hover>i {
    color: var(--color-2);
}

.gl_dv_mod .gl_mod_fijo .gl_mod_fl_btns a i {
    color: var(--color-3);
}

.gl_dv_mod .gl_mod_form_fl {
    padding: 10px;
    border-radius: 10px;
    background-color: #fff;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.gl_dvfm_gen .gl_btn_sve {
    width: max-content;
    margin: 10px auto 0 auto;
    display: block;
}
/*Final Dvis*/
/*Tablas*/
.gl_ls_gen {
    position: relative;
    margin-top: 20px;
    overflow-x: auto;
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    border: 1px solid var(--color-6);
}

.gl_tb_gen {
    width: 100%;
    border-collapse: collapse;
    font-size: 14px;
}

.gl_tb_gen thead tr {
    color: var(--color-1);
    position: sticky;
    top: 0;
    z-index: 1;
}

.gl_tb_gen th {
    padding: 10px !important;
    background-color: var(--color-5);
    font-weight: 600;
}

.gl_tb_gen tbody tr {
    border-bottom: 1px solid var(--color-5);
    position: relative;
}

.gl_tb_gen th,
.gl_tb_gen td {
    padding: 10px;
    text-align: left;
}

.gl_tb_gen .gl_tb_btns {
    position: relative;
    max-width: 100px;
    text-align: right;
}

.gl_tb_gen .gl_tb_btns i {
    cursor: pointer;
}

.gl_tb_gen .gl_tb_btns ul {
    list-style: none;
    position: absolute;
    top: 10%;
    right: 30px;
    background-color: var(--color-1);
    border: 1px solid var(--color-6);
    border-radius: 5px;
    display: none;
    padding: 0;
    margin: 0;
    z-index: 2;
    width: max-content;
}

.gl_tb_gen .gl_tb_btns:hover ul {
    display: block;
    animation: fadeIn 0.5s ease-in-out;
}

.gl_tb_gen .gl_tb_btns ul li {
    padding: 5px 10px;
    cursor: pointer;
    color: var(--color-5);
    display: inline-block;
    vertical-align: top;
}

.gl_tb_gen .gl_tb_btns ul li:hover {
    background-color: var(--color-2);
}

.no_results {
    text-align: center;
    padding: 50px 20px;
    color: var(--color-1);
}

.no_results i {
    color: var(--color-2);
    font-size: 60px;
}

.chk_v {
    display: block;
    width: 50px;
    text-align: center;
    font-size: 10px;
    color: var(--color-3);
}

.chk_v i {
    font-size: 16px;
    color: var(--color-2);
}

.chk_v._red {
    color: #e74c3c;
}

.chk_v._red i {
    color: #c0392b;
}

/*Final Tablas*/

/*Modificacion a librerias*/
.swal-big{
    width: 70% !important;
    height: auto !important;
}
/*Modificacion a librerias*/